org.apache.hadoop.yarn.api.records

## Class QueueUserACLInfo

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.QueueUserACLInfo

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class QueueUserACLInfo
      extends Object

  `QueueUserACLInfo` provides information `QueueACL` for the given user.

  See Also:
    `QueueACL`, `ApplicationClientProtocol.getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueUserACLInfo()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getQueueName()` Get the queue name of the queue.
    `abstract List<QueueACL>` | `getUserAcls()` Get the list of `QueueACL` for the given user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueUserACLInfo

          public QueueUserACLInfo()

  - ### Method Detail

    - #### getQueueName

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getQueueName()

      Get the queue name of the queue.
      Returns:
        queue name of the queue

    - #### getUserAcls

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<QueueACL> getUserAcls()

      Get the list of `QueueACL` for the given user.
      Returns:
        list of `QueueACL` for the given user

Copyright © 2022 Apache Software Foundation. All rights reserved.